<?php
	
	//Deprecated
	
	class Alerts {
		
		private $msgList;

		function __construct() {
			$this->msgList = [
				
				//Contents
				'SHOW_MORE' => _('Show more...'),
				'SESS_PERM' => _('Session expired or permission denied. Please try to log in again.'),
				'PERM_DENI' => _('Permission denied.'),
				'SESS_EXPI' => _('Session expired, please log in again.'),
				'SHOW_CONT' => _('Click Load button to load this content...'),
				'CONT_EMPT' => _('This content is currently empty, please try again in a few minutes.'),
				'NODT_LIST' => _('No data available in this list.'),
				'NODT_VALI' => _('Not valid data.'),
				'PASS_MESG' => _('The password provided is not valid. The password must contain at least %s characters and at least 1 non-alphanumeric symbol (!, ?, -, etc.)'),
				'PASS_MATC' => _('The password fields do not match.'),
			];
		}
		
		function get($code='') {
			
			if (isset($this->msgList[$code])) {
				return $this->msgList[$code];
			}
			
			return '';
		}
	}